Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.schema
Class Column

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.schema.Column

All Implemented Interfaces:
  Comparable

public class Column
extends Object
implements Comparable

Represents a database column.

Method Summary
`Index` | `addIndex(String name)`
`Index` | `addIndex(String name, String type)`
`void` | `addPrimaryKey()`
`int` | `compareTo(Object other)`
`String` | `getFullName()`
`Index` | `getIndex()`
`int` | `getLength()`
`String` | `getName()`
`Table` | `getTable()`
`int` | `getType()`
`boolean` | `isIndexed()`
`boolean` | `isPrimaryKey()`
`boolean` | `removeIndex()`
`boolean` | `removePrimaryKey()`
`void` | `setLength(int length)`
`void` | `setType(int sqlType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public String getName()

### getFullName

    public String getFullName()

### setType

    public void setType(int sqlType)

### getType

    public int getType()

### setLength

    public void setLength(int length)

### getLength

    public int getLength()

### isIndexed

    public boolean isIndexed()

### addIndex

    public Index addIndex(String name)

### addIndex

    public Index addIndex(String name,
                          String type)

### getIndex

    public Index getIndex()

### removeIndex

    public boolean removeIndex()

### isPrimaryKey

    public boolean isPrimaryKey()

### addPrimaryKey

    public void addPrimaryKey()

### removePrimaryKey

    public boolean removePrimaryKey()

### getTable

    public Table getTable()

### compareTo

    public int compareTo(Object other)

  Specified by:
    `compareTo` in interface `Comparable`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.